Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.eviction
Class LFUQueue

    java.lang.Object
      org.jboss.cache.eviction.LFUQueue

All Implemented Interfaces:
  EvictionQueue, SortedEvictionQueue

    public class LFUQueue

extends java.lang.Object
implements SortedEvictionQueue

LFUQueue EvictionQueue implementation for LFU Policy.

The queue is sorted in least frequently used order.

Version:
  $Revision: 1.5 $
Author:
  Daniel Huang (dhuang@jboss.org)

Method Summary
`void` | `addNodeEntry(NodeEntry entry)` Add a NodeEntry to the queue.
`void` | `clear()` Clear the queue.
`boolean` | `containsNodeEntry(NodeEntry entry)` Check if queue contains the given NodeEntry.
`NodeEntry` | `getFirstNodeEntry()` Return the first node to evict.
`NodeEntry` | `getNodeEntry(Fqn fqn)` Retrieve a node entry by Fqn.
`NodeEntry` | `getNodeEntry(java.lang.String fqn)`
`int` | `getNumberOfElements()` Get the number of elements in the queue.
`int` | `getNumberOfNodes()` Get the number of nodes in the queue.
`java.util.Iterator` | `iterate()`
`void` | `modifyElementCount(int difference)`
`void` | `removeNodeEntry(NodeEntry entry)` Remove a NodeEntry from queue.
`void` | `resortEvictionQueue()` Provide contract to resort a sorted queue.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFirstNodeEntry

    public NodeEntry getFirstNodeEntry()

  Return the first node to evict.

  This method will return the least frequently used entry in the queue.

  Specified by:
    `getFirstNodeEntry` in interface `EvictionQueue`
  Returns:
    first NodeEntry in queue.

### getNodeEntry

    public NodeEntry getNodeEntry(Fqn fqn)

  Description copied from interface: `EvictionQueue`
  Retrieve a node entry by Fqn.

  This will return null if the entry is not found.

  Specified by:
    `getNodeEntry` in interface `EvictionQueue`
  Parameters:
    `fqn` - Fqn of the node entry to retrieve.
  Returns:
    Node Entry object associated with given Fqn param.

### getNodeEntry

    public NodeEntry getNodeEntry(java.lang.String fqn)

  Specified by:
    `getNodeEntry` in interface `EvictionQueue`

### containsNodeEntry

    public boolean containsNodeEntry(NodeEntry entry)

  Description copied from interface: `EvictionQueue`
  Check if queue contains the given NodeEntry.

  Specified by:
    `containsNodeEntry` in interface `EvictionQueue`
  Parameters:
    `entry` - NodeEntry to check for existence in queue.
  Returns:
    true/false if NodeEntry exists in queue.

### removeNodeEntry

    public void removeNodeEntry(NodeEntry entry)

  Description copied from interface: `EvictionQueue`
  Remove a NodeEntry from queue.

  If the NodeEntry does not exist in the queue, this method will return normally.

  Specified by:
    `removeNodeEntry` in interface `EvictionQueue`
  Parameters:
    `entry` - The NodeEntry to remove from queue.

### addNodeEntry

    public void addNodeEntry(NodeEntry entry)

  Description copied from interface: `EvictionQueue`
  Add a NodeEntry to the queue.

  Specified by:
    `addNodeEntry` in interface `EvictionQueue`
  Parameters:
    `entry` - The NodeEntry to add to queue.

### getNumberOfNodes

    public int getNumberOfNodes()

  Description copied from interface: `EvictionQueue`
  Get the number of nodes in the queue.

  Specified by:
    `getNumberOfNodes` in interface `EvictionQueue`
  Returns:
    The number of nodes in the queue.

### getNumberOfElements

    public int getNumberOfElements()

  Description copied from interface: `EvictionQueue`
  Get the number of elements in the queue.

  Specified by:
    `getNumberOfElements` in interface `EvictionQueue`
  Returns:
    The number of elements in the queue.

### clear

    public void clear()

  Description copied from interface: `EvictionQueue`
  Clear the queue.

  Specified by:
    `clear` in interface `EvictionQueue`

### resortEvictionQueue

    public void resortEvictionQueue()

  Description copied from interface: `SortedEvictionQueue`
  Provide contract to resort a sorted queue.

  Specified by:
    `resortEvictionQueue` in interface `SortedEvictionQueue`

### modifyElementCount

    public void modifyElementCount(int difference)

  Specified by:
    `modifyElementCount` in interface `EvictionQueue`

### iterate

    public java.util.Iterator iterate()

  Specified by:
    `iterate` in interface `EvictionQueue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.